View Issue Details

IDProjectCategoryView StatusLast Update
0003663GNUnettransport servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003663: Assertion failed at ats_api_scheduling.c:716.
DescriptionThis assertion is generated when the transport adds an address twice to ATS.
It happens on the gnunet9 peer.
Additional InformationFeb 10 01:03:15-138342 transport-29243 ERROR Assertion failed at ats_api_scheduling.c:716.
Feb 10 01:03:15-226487 transport-29243 ERROR Assertion failed at ats_api_scheduling.c:716.
Feb 10 01:03:15-229154 transport-29243 ERROR Assertion failed at ats_api_scheduling.c:716.
Feb 10 01:03:15-233156 transport-29243 ERROR Assertion failed at ats_api_scheduling.c:716.
TagsNo tags attached.

Relationships

has duplicate 0003669 closedChristian Grothoff Assertion failed at ats_api_scheduling.c:716. 

Activities

Christian Grothoff

2015-02-11 19:52

manager   ~0008867

Cause was deleted addresses where the deletion wasn't acknowledged yet. Fixed in SVN HEAD.

Issue History

Date Modified Username Field Change
2015-02-10 01:05 Christian Grothoff New Issue
2015-02-10 01:05 Christian Grothoff Status new => assigned
2015-02-10 01:05 Christian Grothoff Assigned To => Christian Grothoff
2015-02-11 00:30 Christian Grothoff Relationship added has duplicate 0003669
2015-02-11 19:52 Christian Grothoff Note Added: 0008867
2015-02-11 19:52 Christian Grothoff Status assigned => resolved
2015-02-11 19:52 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-02-11 19:52 Christian Grothoff Resolution open => fixed
2015-02-11 19:52 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed